summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2015-10-24 17:25:42 +0000
committerPatrice Clement <monsieurp@gentoo.org>2015-10-24 17:26:03 +0000
commitfa3b219107c4ef1f841702ddfa35f1b6d2f66e9e (patch)
tree0eebc18a37df9589dd533730734299eee2860bc6 /dev-java/jamvm
parentsci-libs/gdal: Backport patch for glibc-2.22 (diff)
downloadgentoo-fa3b219107c4ef1f841702ddfa35f1b6d2f66e9e.tar.gz
gentoo-fa3b219107c4ef1f841702ddfa35f1b6d2f66e9e.tar.bz2
gentoo-fa3b219107c4ef1f841702ddfa35f1b6d2f66e9e.zip
dev-java/jamvm: Sort out patch naming convention. Fixes bug 563988.
Package-Manager: portage-2.2.20.1 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'dev-java/jamvm')
-rw-r--r--dev-java/jamvm/files/jamvm-1.5.4-classes-location.patch27
-rw-r--r--dev-java/jamvm/files/jamvm-1.5.4-env.file (renamed from dev-java/jamvm/files/jamvm-1.5.4-r2.env)0
-rw-r--r--dev-java/jamvm/files/jamvm-2.0.0-classes-location.patch (renamed from dev-java/jamvm/files/classes-location.patch)0
-rw-r--r--dev-java/jamvm/files/jamvm-2.0.0-env.file (renamed from dev-java/jamvm/files/jamvm.env)0
-rw-r--r--dev-java/jamvm/files/jamvm-2.0.0-javac.in (renamed from dev-java/jamvm/files/javac.in)0
-rw-r--r--dev-java/jamvm/files/jamvm-2.0.0-noexecstack.patch (renamed from dev-java/jamvm/files/noexecstack.patch)0
-rw-r--r--dev-java/jamvm/jamvm-1.5.4-r2.ebuild8
-rw-r--r--dev-java/jamvm/jamvm-2.0.0-r1.ebuild16
8 files changed, 43 insertions, 8 deletions
diff --git a/dev-java/jamvm/files/jamvm-1.5.4-classes-location.patch b/dev-java/jamvm/files/jamvm-1.5.4-classes-location.patch
new file mode 100644
index 00000000000..57d046a8188
--- /dev/null
+++ b/dev-java/jamvm/files/jamvm-1.5.4-classes-location.patch
@@ -0,0 +1,27 @@
+diff -ur jamvm-1.5.0.old/configure.ac jamvm-1.5.0/configure.ac
+--- jamvm-1.5.0.old/configure.ac 2008-03-03 17:31:46.000000000 +0200
++++ jamvm-1.5.0/configure.ac 2008-03-03 17:36:14.000000000 +0200
+@@ -208,6 +208,7 @@
+ install_dir=$prefix
+ fi
+ AC_DEFINE_UNQUOTED(INSTALL_DIR, "$install_dir", [Installation directory (prefix)])
++AC_DEFINE_UNQUOTED(PKGDATADIR, "$datadir/$PACKAGE", [Package data directory (pkgdatadir)])
+
+ AC_ARG_ENABLE(zip,
+ [AS_HELP_STRING(--disable-zip,turn-off zip support in the bootstrap loader)],,)
+diff -ur jamvm-1.5.0.old/src/class.h jamvm-1.5.0/src/class.h
+--- jamvm-1.5.0.old/src/class.h 2008-03-03 17:31:46.000000000 +0200
++++ jamvm-1.5.0/src/class.h 2008-03-03 17:36:51.000000000 +0200
+@@ -39,10 +39,10 @@
+ separate class files in a directory structure */
+
+ #ifdef USE_ZIP
+-#define JAMVM_CLASSES INSTALL_DIR"/share/jamvm/classes.zip"
++#define JAMVM_CLASSES PKGDATADIR"/classes.zip"
+ #define CLASSPATH_CLASSES CLASSPATH_INSTALL_DIR"/share/classpath/glibj.zip"
+ #else
+-#define JAMVM_CLASSES INSTALL_DIR"/share/jamvm/classes"
++#define JAMVM_CLASSES PKGDATADIR"/classes"
+ #define CLASSPATH_CLASSES CLASSPATH_INSTALL_DIR"/share/classpath"
+ #endif
+
diff --git a/dev-java/jamvm/files/jamvm-1.5.4-r2.env b/dev-java/jamvm/files/jamvm-1.5.4-env.file
index 85c551eb63d..85c551eb63d 100644
--- a/dev-java/jamvm/files/jamvm-1.5.4-r2.env
+++ b/dev-java/jamvm/files/jamvm-1.5.4-env.file
diff --git a/dev-java/jamvm/files/classes-location.patch b/dev-java/jamvm/files/jamvm-2.0.0-classes-location.patch
index 6cf7611f1f3..6cf7611f1f3 100644
--- a/dev-java/jamvm/files/classes-location.patch
+++ b/dev-java/jamvm/files/jamvm-2.0.0-classes-location.patch
diff --git a/dev-java/jamvm/files/jamvm.env b/dev-java/jamvm/files/jamvm-2.0.0-env.file
index 5eee6a9e0f3..5eee6a9e0f3 100644
--- a/dev-java/jamvm/files/jamvm.env
+++ b/dev-java/jamvm/files/jamvm-2.0.0-env.file
diff --git a/dev-java/jamvm/files/javac.in b/dev-java/jamvm/files/jamvm-2.0.0-javac.in
index 8eeda68c7a5..8eeda68c7a5 100644
--- a/dev-java/jamvm/files/javac.in
+++ b/dev-java/jamvm/files/jamvm-2.0.0-javac.in
diff --git a/dev-java/jamvm/files/noexecstack.patch b/dev-java/jamvm/files/jamvm-2.0.0-noexecstack.patch
index 2a0f14c71a1..2a0f14c71a1 100644
--- a/dev-java/jamvm/files/noexecstack.patch
+++ b/dev-java/jamvm/files/jamvm-2.0.0-noexecstack.patch
diff --git a/dev-java/jamvm/jamvm-1.5.4-r2.ebuild b/dev-java/jamvm/jamvm-1.5.4-r2.ebuild
index 163773a18ea..03dccea6ed9 100644
--- a/dev-java/jamvm/jamvm-1.5.4-r2.ebuild
+++ b/dev-java/jamvm/jamvm-1.5.4-r2.ebuild
@@ -21,9 +21,13 @@ DEPEND="dev-java/gnu-classpath:${CLASSPATH_SLOT}
amd64? ( virtual/libffi )"
RDEPEND="${DEPEND}"
+PATCHES=(
+ "${FILESDIR}"/"${P}-classes-location.patch"
+)
+
src_prepare() {
# without this patch, classes.zip is not found at runtime
- epatch "${FILESDIR}/classes-location.patch"
+ epatch "${PATCHES[@]}"
eautoreconf
# These come precompiled.
@@ -76,7 +80,7 @@ src_install() {
dodoc ACKNOWLEDGEMENTS AUTHORS ChangeLog NEWS README
- set_java_env "${FILESDIR}/${PN}-1.5.4-r2.env"
+ set_java_env "${FILESDIR}/${P}-env.file"
dosym /usr/bin/jamvm ${INSTALL_DIR}/bin/java
dosym ${CLASSPATH_DIR}/share/classpath/glibj.zip ${INSTALL_DIR}/jre/lib/rt.jar
diff --git a/dev-java/jamvm/jamvm-2.0.0-r1.ebuild b/dev-java/jamvm/jamvm-2.0.0-r1.ebuild
index 65eeb618fa6..878fd1b711e 100644
--- a/dev-java/jamvm/jamvm-2.0.0-r1.ebuild
+++ b/dev-java/jamvm/jamvm-2.0.0-r1.ebuild
@@ -22,10 +22,14 @@ DEPEND="dev-java/gnu-classpath:0.98
sparc? ( virtual/libffi )"
RDEPEND="${DEPEND}"
+PATCHES=(
+ "${FILESDIR}"/"${P}-classes-location.patch"
+ "${FILESDIR}"/"${P}-noexecstack.patch"
+)
+
src_prepare() {
# without this patch, classes.zip is not found at runtime
- epatch "${FILESDIR}/classes-location.patch"
- epatch "${FILESDIR}/noexecstack.patch"
+ epatch "${PATCHES[@]}"
eautoreconf
# These come precompiled.
@@ -65,7 +69,7 @@ create_launcher() {
-Xbootclasspath/p:/usr/share/classpath/tools.zip" \
gnu.classpath.tools.${1}.Main "\$@"
EOF
- chmod +x "${script}"
+ chmod +x "${script}" || die
}
src_install() {
@@ -77,7 +81,7 @@ src_install() {
dodoc ACKNOWLEDGEMENTS AUTHORS ChangeLog NEWS README
- set_java_env "${FILESDIR}/${PN}.env"
+ set_java_env "${FILESDIR}/${P}-env.file"
dodir ${JDK_DIR}/bin
dosym /usr/bin/jamvm ${JDK_DIR}/bin/java
@@ -97,11 +101,11 @@ src_install() {
local ecj_jar="$(readlink "${EPREFIX}"/usr/share/eclipse-ecj/ecj.jar)"
exeinto ${JDK_DIR}/bin
- cat "${FILESDIR}"/javac.in | sed -e "s#@JAVA@#/usr/bin/jamvm#" \
+ sed -e "s#@JAVA@#/usr/bin/jamvm#" \
-e "s#@ECJ_JAR@#${ecj_jar}#" \
-e "s#@RT_JAR@#/usr/share/classpath/glibj.zip#" \
-e "s#@TOOLS_JAR@#/usr/share/classpath/tools.zip#" \
- | newexe - javac
+ "${FILESDIR}"/"${P}-javac.in" | newexe - javac
local libarch="${ARCH}"
[ ${ARCH} == x86 ] && libarch="i386"